Bug 507025 - fails when open a file previously created by system-config-kickstart
fails when open a file previously created by system-config-kickstart
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 17:31 EDT by Patrick
Modified: 2014-10-13 07:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2009-06-19 17:31:24 EDT
Component: system-config-kickstart
Summary: TB48b4ec26 transactioninfo.py:202:add:AttributeError: 'NoneType' object has no attribute 'contains'

Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 315, in on_activate_open
    self.applyKickstart()
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 347, in applyKickstart
    self.packages_class.applyKickstart()
  File "/usr/share/system-config-kickstart/packages.py", line 300, in applyKickstart
    self.y.selectGroup(grp.groupid)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2181, in selectGroup
    txmbrs = self.install(name = pkg)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2702, in install
    self.install(po=obsoleting_pkg)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2749, in install
    txmbr = self.tsInfo.addInstall(po)
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 323, in addInstall
    self.add(txmbr)
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 202, in add
    if self.rpmdb.contains(po=pkg):
AttributeError: 'NoneType' object has no attribute 'contains'

Local variables in innermost frame:
txmember: qt.i386 1-4.5.1-13.fc10 - u
pkg: scim-bridge-qt-0.4.15-8.fc10.i386
self: <yum.transactioninfo.TransactionData instance at 0x9f2f04c>
Comment 1 Chris Lumens 2009-07-01 11:25:41 EDT
Is this reproducable with F11?  I've not seen this bug happen before, though it's possible you have a later version of yum installed via an update that has changed things s-c-ks was relying upon.
Comment 2 Bug Zapper 2009-11-18 07:06:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:34:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Patrick 2014-10-13 07:26:17 EDT
I cannot comment on this bug.
It is too old (4 years!)

Note You need to log in before you can comment on or make changes to this bug.